package data.scripts;

import com.fs.starfarer.api.BaseModPlugin;
import com.fs.starfarer.api.PluginPick;
import com.fs.starfarer.api.campaign.CampaignPlugin;
import com.fs.starfarer.api.combat.MissileAIPlugin;
import com.fs.starfarer.api.combat.MissileAPI;
import com.fs.starfarer.api.combat.ShipAPI;
import data.scripts.weapons.ai.dara_JudgmentSpireAI;

public class dara_ModPlugin extends BaseModPlugin
{
    // Missiles and weapons that use custom AI
    public static final String JUDGEMENT_MISSILE_ID = "dara_seraphimmain_shot";

    @Override
    public PluginPick<MissileAIPlugin> pickMissileAI(MissileAPI missile, ShipAPI launchingShip)
    {
        switch (missile.getProjectileSpecId())
        {
            case JUDGEMENT_MISSILE_ID:
                return new PluginPick<MissileAIPlugin>(new dara_JudgmentSpireAI(missile, launchingShip),
                        CampaignPlugin.PickPriority.MOD_SET);
            default:
                return null;
        }
    }
}
