package data.scripts.shipsystems;

import com.fs.starfarer.api.combat.MutableShipStatsAPI;
import com.fs.starfarer.api.impl.combat.BaseShipSystemScript;

public class dara_EnergyFeedStats extends BaseShipSystemScript {

	public static final float ROF_BONUS = 2f;
	public static final float DMG_REDUCTION = 25f;	// 50f;
	public static final float FLUX_REDUCTION = 80f;
	
	public void apply(MutableShipStatsAPI stats, String id, State state, float effectLevel) {
		
		float mult = 1f + ROF_BONUS * effectLevel;
		stats.getEnergyRoFMult().modifyMult(id, mult);
		stats.getEnergyWeaponDamageMult().modifyPercent(id, -DMG_REDUCTION);
		stats.getEnergyWeaponFluxCostMod().modifyPercent(id, -FLUX_REDUCTION);
	}
	public void unapply(MutableShipStatsAPI stats, String id) {
		stats.getEnergyRoFMult().unmodify(id);
		stats.getEnergyWeaponFluxCostMod().unmodify(id);
	}
	
	public StatusData getStatusData(int index, State state, float effectLevel) {
		float mult = 1f + ROF_BONUS * effectLevel;
		float bonusPercent = (int) ((mult - 1f) * 100f);
		if (index == 0) {
			return new StatusData("energy weapon rate of fire +" + (int) bonusPercent + "%", false);
		}
		if (index == 1) {
			return new StatusData("energy weapon flux use -" + (int) FLUX_REDUCTION + "%", false);
		}
		if (index == 2) {
			return new StatusData("energy weapon damage -" + (int) DMG_REDUCTION + "%", true);
		}
		return null;
	}
}
